#ifndef DISPLAY_LIBRARY_H
#define DISPLAY_LIBRARY_H

#include <QListWidget>
#include <QWidget>

#include <comdel/domain/library.h>
#include "library_list.h"

namespace display {

    class Library : public QWidget {
    public:
        Library();

        void refreshContent();

    private:
        std::optional<domain::Library> library;

        LibraryList *componentList;
        LibraryList *busList;

    };

} // namespace display

#endif // DISPLAY_LIBRARY_H
