//
// Created by bbr on 22.05.22..
//

#ifndef SCHEMEEDITOR_LIBRARY_LIST_H
#define SCHEMEEDITOR_LIBRARY_LIST_H

#include <QListWidget>
#include <QList>
#include <QMimeData>

namespace display {

    class LibraryList : public QListWidget {
    Q_OBJECT
    public:
        LibraryList(QWidget *parent);

    protected:
        QMimeData *mimeData(const QList<QListWidgetItem *> items) const override;
    };

    class LibraryListItem : public QListWidgetItem {

    public:
        std::string mimeType;
        std::string value;

        LibraryListItem(std::string title, std::string mimeType, std::string value, QListWidget *parent);
    };

} // display

#endif //SCHEMEEDITOR_LIBRARY_LIST_H
