#ifndef DOMAIN_INSTANCE_ATTRIBUTE_H
#define DOMAIN_INSTANCE_ATTRIBUTE_H

#include "attribute.h"
#include "value.h"

#include <string>


namespace domain {

    class InstanceAttribute {
    public:
        InstanceAttribute(std::string name, Value value, Attribute attribute);

        std::string name;
        Value value;
        Attribute attribute;

        ~InstanceAttribute() = default;
    };

} // namespace domain

#endif // DOMAIN_INSTANCE_ATTRIBUTE_H
